#ifndef SCOREITEM_H_
#define SCOREITEM_H_
#include "jp/gecchi/VioletVreath/actor/item/Item.h"

namespace VioletVreath {

/**
 * Score夞暅傾僀僥儉彫 .
 * @version 1.00
 * @since 2011/11/21
 * @author Masatoshi Tsuge
 */
class ScoreItem : public Item {

public:
    enum {
        PROG_DRIFT      , //捠忢堏摦忬懺
        PROG_ATTACH     , //媧拝拞(枹媧拝)忬懺
        PROG_ABSORB     , //媧拝拞(媧拝嵪)忬懺
        PROG_BANPEI,
    };
    /** 媧拝嵎暘嵗昗 */
    int kDX_, kDY_, kDZ_;
    /** 暯峴堏摦巟墖 */
    GgafDxCore::GgafDxAxesMover* pAxsMver_;
public:
    ScoreItem(const char* prm_name, const char* prm_model, GgafCore::GgafStatus* prm_pStat);

    virtual void onCreateModel() override {
    }

    virtual void initialize() override;

    virtual void onActive() override;

    virtual void processBehavior() override;

    virtual void processJudgement() override;

    virtual void onInactive() override;

    virtual void onHit(GgafCore::GgafActor* prm_pOtherActor) override;

    virtual ~ScoreItem();
};

}
#endif /*SCOREITEM_H_*/

